using System;
using Bridge;

namespace FetchTypeDefine
{
    [External, Convention(Member = ConventionMember.All, Notation = Notation.CamelCase)]
    public class PromiseTypeDefine<T>
    {
        public extern RR Then<RR>(Func<T, RR> chain);

        public extern PromiseTypeDefine<dynamic> Then(Action<T> chain);

        public extern RR Catch<RR>(Func<T, RR> chain);

        public extern PromiseTypeDefine<dynamic> Catch(Action<T> chain);

        public extern PromiseTypeDefine<dynamic> Catch<TP>(Action<TP> chain);
    }
}