﻿using Bridge.Html5;

namespace FrontendRouting
{
    internal class DefaultPageNoFoundView : FeRoutingView
    {
        private readonly HTMLElement _holdText = new HTMLHeadingElement(HeadingType.H1)
        {
            TextContent = "Page Not Found"
        };

        public override void Leave()
        {
            _holdText.Remove();
        }

        public override void Enter(Node parent)
        {
            parent.AppendChild(_holdText);
        }
    }
}