﻿using Bridge.Html5;
using System;

namespace FrontendRouting
{
    public abstract class FeRoutingView : IDisposable
    {
        public virtual bool BeforeEnter(FeRoutingView currentView) => true;

        public abstract void Enter(Node parent);

        public virtual bool BeforeLeave(Action continueAction)
        {
            continueAction();
            return true;
        }

        public abstract void Leave();

        public virtual void Dispose()
        {
        }
    }
}