﻿using Bridge.Html5;
using FrontendRouting;

namespace LearnBridgeNet.Views.Basic
{
    internal abstract class AuthRequiredView : FeRoutingView
    {
        public override bool BeforeEnter(FeRoutingView currentView)
        {
            if (false == XState.IsLogin)
            {
                FeRoutingManager.Go("/logon.html?" + Window.EncodeURI(Window.Location.Href), true);
                return false;
            }
            return true;
        }
    }
}