﻿using Bridge.Html5;
using FrontendRouting;
using LearnBridgeNet.Views.Basic;

namespace LearnBridgeNet.Views
{
    [FeRoute("/demo.html")]
    internal class DemoView : AuthRequiredView
    {
        private readonly HTMLElement _view = new HTMLHeadingElement(HeadingType.H1) { TextContent = "Demo Page" };

        public override void Enter(Node parent)
        {
            parent.AppendChild(_view);
        }

        public override void Leave()
        {
            _view.Remove();
        }
    }
}