﻿using Bridge;

namespace FetchTypeDefine
{
    [External, Convention(Member = ConventionMember.All, Notation = Notation.CamelCase)]
    public sealed class Fetch : PromiseTypeDefine<FetchResponse>
    {
        [Template("window.fetch({0})")] public extern Fetch(string url);

        [Template("window.fetch({0},{1})")] public extern Fetch(string url, FetchParams param);
    }
}