using Bridge;

namespace FetchTypeDefine
{
    [External, Convention(Member = ConventionMember.All, Notation = Notation.CamelCase)]
    public sealed class FetchResponse
    {
        public extern string Type { get; }

        public extern bool Ok { get; }

        public extern PromiseTypeDefine<T> Json<T>();

        public extern PromiseTypeDefine<string> Text();
    }
}