﻿using Bridge;

namespace LearnBridgeNet.Components
{
    public enum AceEditorMode
    {
          [Name("abap")] Abap
        , [Name("abc")] Abc
        , [Name("actionscript")] Actionscript
        , [Name("ada")] Ada
        , [Name("apache_conf")] ApacheConf
        , [Name("applescript")] Applescript
        , [Name("asciidoc")] Asciidoc
        , [Name("asl")] Asl
        , [Name("assembly_x86")] AssemblyX86
        , [Name("autohotkey")] Autohotkey
        , [Name("batchfile")] Batchfile
        , [Name("bro")] Bro
        , [Name("c9search")] C9Search
        , [Name("cirru")] Cirru
        , [Name("clojure")] Clojure
        , [Name("cobol")] Cobol
        , [Name("coffee")] Coffee
        , [Name("coldfusion")] Coldfusion
        , [Name("csharp")] Csharp
        , [Name("csound_document")] CsoundDocument
        , [Name("csound_orchestra")] CsoundOrchestra
        , [Name("csound_score")] CsoundScore
        , [Name("csp")] Csp
        , [Name("css")] Css
        , [Name("curly")] Curly
        , [Name("c_cpp")] CCpp
        , [Name("d")] D
        , [Name("dart")] Dart
        , [Name("diff")] Diff
        , [Name("django")] Django
        , [Name("dockerfile")] Dockerfile
        , [Name("dot")] Dot
        , [Name("drools")] Drools
        , [Name("edifact")] Edifact
        , [Name("eiffel")] Eiffel
        , [Name("ejs")] Ejs
        , [Name("elixir")] Elixir
        , [Name("elm")] Elm
        , [Name("erlang")] Erlang
        , [Name("forth")] Forth
        , [Name("fortran")] Fortran
        , [Name("fsharp")] Fsharp
        , [Name("ftl")] Ftl
        , [Name("gcode")] Gcode
        , [Name("gherkin")] Gherkin
        , [Name("gitignore")] Gitignore
        , [Name("glsl")] Glsl
        , [Name("gobstones")] Gobstones
        , [Name("golang")] Golang
        , [Name("graphqlschema")] Graphqlschema
        , [Name("groovy")] Groovy
        , [Name("haml")] Haml
        , [Name("handlebars")] Handlebars
        , [Name("haskell")] Haskell
        , [Name("haskell_cabal")] HaskellCabal
        , [Name("haxe")] Haxe
        , [Name("hjson")] Hjson
        , [Name("html")] Html
        , [Name("html_elixir")] HtmlElixir
        , [Name("html_ruby")] HtmlRuby
        , [Name("ini")] Ini
        , [Name("io")] Io
        , [Name("jack")] Jack
        , [Name("jade")] Jade
        , [Name("java")] Java
        , [Name("javascript")] Javascript
        , [Name("json")] Json
        , [Name("jsoniq")] Jsoniq
        , [Name("jsp")] Jsp
        , [Name("jssm")] Jssm
        , [Name("jsx")] Jsx
        , [Name("julia")] Julia
        , [Name("kotlin")] Kotlin
        , [Name("latex")] Latex
        , [Name("less")] Less
        , [Name("liquid")] Liquid
        , [Name("lisp")] Lisp
        , [Name("livescript")] Livescript
        , [Name("logiql")] Logiql
        , [Name("lsl")] Lsl
        , [Name("lua")] Lua
        , [Name("luapage")] Luapage
        , [Name("lucene")] Lucene
        , [Name("makefile")] Makefile
        , [Name("markdown")] Markdown
        , [Name("mask")] Mask
        , [Name("matlab")] Matlab
        , [Name("maze")] Maze
        , [Name("mel")] Mel
        , [Name("mixal")] Mixal
        , [Name("mushcode")] Mushcode
        , [Name("mysql")] Mysql
        , [Name("nix")] Nix
        , [Name("nsis")] Nsis
        , [Name("objectivec")] Objectivec
        , [Name("ocaml")] Ocaml
        , [Name("pascal")] Pascal
        , [Name("perl")] Perl
        , [Name("pgsql")] Pgsql
        , [Name("php")] Php
        , [Name("php_laravel_blade")] PhpLaravelBlade
        , [Name("pig")] Pig
        , [Name("plain_text")] PlainText
        , [Name("powershell")] Powershell
        , [Name("praat")] Praat
        , [Name("prolog")] Prolog
        , [Name("properties")] Properties
        , [Name("protobuf")] Protobuf
        , [Name("puppet")] Puppet
        , [Name("python")] Python
        , [Name("r")] R
        , [Name("razor")] Razor
        , [Name("rdoc")] Rdoc
        , [Name("red")] Red
        , [Name("redshift")] Redshift
        , [Name("rhtml")] Rhtml
        , [Name("rst")] Rst
        , [Name("ruby")] Ruby
        , [Name("rust")] Rust
        , [Name("sass")] Sass
        , [Name("scad")] Scad
        , [Name("scala")] Scala
        , [Name("scheme")] Scheme
        , [Name("scss")] Scss
        , [Name("sh")] Sh
        , [Name("sjs")] Sjs
        , [Name("slim")] Slim
        , [Name("smarty")] Smarty
        , [Name("snippets")] Snippets
        , [Name("soy_template")] SoyTemplate
        , [Name("space")] Space
        , [Name("sparql")] Sparql
        , [Name("sql")] Sql
        , [Name("sqlserver")] Sqlserver
        , [Name("stylus")] Stylus
        , [Name("svg")] Svg
        , [Name("swift")] Swift
        , [Name("tcl")] Tcl
        , [Name("terraform")] Terraform
        , [Name("tex")] Tex
        , [Name("text")] Text
        , [Name("textile")] Textile
        , [Name("toml")] Toml
        , [Name("tsx")] Tsx
        , [Name("turtle")] Turtle
        , [Name("twig")] Twig
        , [Name("typescript")] Typescript
        , [Name("vala")] Vala
        , [Name("vbscript")] Vbscript
        , [Name("velocity")] Velocity
        , [Name("verilog")] Verilog
        , [Name("vhdl")] Vhdl
        , [Name("wollok")] Wollok
        , [Name("xml")] Xml
        , [Name("xquery")] Xquery
        , [Name("yaml")] Yaml
    }
}