﻿using Bridge.Html5;
using System.Collections.Generic;

namespace LearnBridgeNet
{
    internal static class HtmlElementExtensionMethods
    {
        public static void SetOptions(this HTMLSelectElement me, IEnumerable<string> items)
        {
            me.InnerHTML = null;
            me.AppendChild(new HTMLOptionElement { Text = "" });
            foreach (var item in items) me.AppendChild(new HTMLOptionElement { Text = item });
        }
    }
}